This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 120222 - SELinux FAQ - how do you execute applications installed into e.g. /opt or /usr/local ?
SELinux FAQ - how do you execute applications installed into e.g. /opt or /us...
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: selinux-faq (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Wade
Tammy Fox
http://people.redhat.com/kwade/fedora...
:
Depends On:
Blocks: 118757
  Show dependency treegraph
 
Reported: 2004-04-06 18:27 EDT by Karsten Wade
Modified: 2007-04-18 13:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-04 09:26:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karsten Wade 2004-04-06 18:27:08 EDT
Description of change/FAQ addition"

Basically I installed a piece of third part software in the /opt, 
/usr/local ... directory

When a user goes to execute the file he gets permission denied even 
though the protection is 755.

He will need to change the security context to a executable context. 

chmod -t bin_t /FULLPATH

Also they should add an entry to the 
/etc/security/selinux/src/policy/file_contexts/misc/ directory
that specifies the security context so a relabel will maintain the 
security context.



Version-Release of FAQ 

selinux-faq-1.0-4 (2004-04-05-T04:20-0800)
Comment 1 Karsten Wade 2004-04-06 18:32:00 EDT
Two questions:

1. Should that be "chcon -t bin_t /FULLPATH"?

2. As a procedure, is this accurate:

   1. Install software
   2. chcon -t bin_t /path-to-executable
   3. add entry to
/etc/security/selinux/src/policy/file_contexts/misc/ specifying the
security contex
   4. run fixfiles /what/path?
Comment 2 Daniel Walsh 2005-01-03 16:16:03 EST
Is this bug still a problem?  
Comment 3 Karsten Wade 2005-01-03 19:26:09 EST
This is from a pretty early version of the FAQ, making it probably a
FC 2 test 2 report, iirc that was before the strict/targeted split. 
But I haven't gone in to test, having lost the original context this
bug came from.

If you think it's resolved, I'm all for closing.
Comment 4 Daniel Walsh 2005-01-04 09:26:49 EST
This really does not apply to FC3.  So I am closing.  We have enough
other problems in the FAQ.

Dan

Note You need to log in before you can comment on or make changes to this bug.